[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# GetUnicodeCategory

Alias for TCharacter.GetUnicodeCategory

## Declaration

Source position: character.pas line 154

`function GetUnicodeCategory(`
`AChar: UnicodeChar`
`):TUnicodeCategory; overload; function GetUnicodeCategory(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):TUnicodeCategory; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

Unicode category of indicated character

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

GetUnicodeCategory is a shortcut for TCharacter.GetUnicodeCategory.

## See also

TCharacter.GetUnicodeCategory |  | Get the Unicode category of a character